---
title: "Get brand"
url: "https://docs.signnow.com/docs/general-branding/operations/get-v2-brands-brand-id"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/get-v2-brands-brand-id"
method: "GET"
path: "/v2/brands/{brand_id}"
operation_id: "get-v2-brands-brand-id"
authorization: "bearer"
---

# Get brand

`GET /v2/brands/{brand_id}`

This endpoint allows API users to get information about a brand.

Note: to view a brand, you need to own it.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Responses

### 200

Brand details.

**Example** (`Successful response`)

```json
{
  "data": {
    "link": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02",
    "title": "My brand",
    "resources": {
      "logo": {
        "data": {
          "original": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02/resources/logo"
        },
        "link": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02/resources/logo?hash=735929a6da50356b4827b037b992dc7e5e631d0a"
      },
      "general": {
        "data": {
          "icons": {
            "color": "#546470",
            "border": "#ffffff",
            "background": "#ffffff",
            "hover-color": "#546470",
            "hover-border": "#f1f2f4",
            "hover-background": "#f1f2f4"
          },
          "texts": {
            "color": "#2f373e"
          },
          "header": {
            "background": "#ffffff"
          },
          "buttons": {
            "default": {
              "color": "#546470",
              "border": "#ffffff",
              "background": "#ffffff",
              "hover-color": "#546470",
              "active-color": "#546470",
              "hover-border": "#f1f2f4",
              "active-border": "#ffffff",
              "hover-background": "#f1f2f4",
              "active-background": "#ffffff"
            },
            "primary": {
              "color": "#ffffff",
              "border": "#0777cf",
              "background": "#0777cf",
              "hover-color": "#ffffff",
              "active-color": "#ffffff",
              "hover-border": "#348fd7",
              "active-border": "#003458",
              "hover-background": "#348fd7",
              "active-background": "#076dbd"
            },
            "dropdown": {
              "color": "#546470",
              "border": "#ffffff",
              "background": "#ffffff",
              "hover-color": "#546470",
              "active-color": "#546470",
              "hover-border": "#f1f2f4",
              "active-border": "#ffffff",
              "hover-background": "#f1f2f4",
              "active-background": "#ffffff"
            },
            "secondary": {
              "color": "#38424b",
              "border": "#e3e6e9",
              "background": "#e3e6e9",
              "hover-color": "#38424b",
              "active-color": "#38424b",
              "hover-border": "#f1f2f4",
              "active-border": "#d5dade",
              "hover-background": "#f1f2f4",
              "active-background": "#d5dade"
            }
          },
          "hyperlink": {
            "color": "#546470",
            "hover-color": "#667988",
            "active-color": "#4b5963"
          },
          "help-center": {
            "visibility": true
          },
          "consent-text": {
            "en": "{sender_email} has invited you to fill out and sign this in one place.",
            "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
            "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
          },
          "main-background": "#efefef",
          "welcome-message": {
            "body-text": {
              "en": "{sender_email} has invited you to fill out and sign this in one place.",
              "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
              "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
            },
            "visibility": true,
            "header-text": {
              "en": "Hi, {signer_email}",
              "es": "Hola, {signer_email}",
              "fr": "Bonjour, {signer_email}"
            }
          }
        },
        "link": "https://api.signnow.com/v2/brands/2b715ceecdcf9ec54089500692b1a38549ff8f02/resources/general"
      }
    },
    "unique_id": "2b715ceecdcf9ec54089500692b1a38549ff8f02",
    "owner_type": "user"
  }
}
```

### 400

Incorrect or missing token

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The bearer token is valid but it belongs to another user.
* The user is authorized with a token from an app they don’t own.


**Example** (`Another user's token`)

```json
{
  "code": 25002075,
  "message": "Brand assign to provided application is not allowed."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

### 404

* Brand with this `brand_id` doesn't exist
* Missing or incorrect `brand_id`

**Example** (`Brand doesn't exist`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Missing or incorrect brand_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/brand/null"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/brands/{brand_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/get-v2-brands-brand-id*
